summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/msgbox6a
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/msgbox6a')
-rwxr-xr-xcontrib/dialog/samples/msgbox6a17
1 files changed, 17 insertions, 0 deletions
diff --git a/contrib/dialog/samples/msgbox6a b/contrib/dialog/samples/msgbox6a
new file mode 100755
index 0000000..e84edbf
--- /dev/null
+++ b/contrib/dialog/samples/msgbox6a
@@ -0,0 +1,17 @@
+#!/bin/sh
+# $Id: msgbox6a,v 1.5 2010/01/13 10:26:52 tom Exp $
+# this differs from msgbox3 by making a window small enough to force scrolling.
+
+. ./setup-vars
+
+width=35
+while test $width != 61
+do
+$DIALOG --title "MESSAGE BOX (width $width)" --clear "$@" \
+ --msgbox "\
+ .a .b .c .d .e .f .g .h .j .i .j .k .l .m .n .o .p .q .r .s .t .u .v .w .x .y .z
+ .A .B .C .D .E .F .G .H .J .I .J .K .L .M .N .O .P .Q .R .S .T .U .V .W .X .Y .Z
+" 10 $width
+test $? = $DIALOG_ESC && break
+width=`expr $width + 1`
+done
OpenPOWER on IntegriCloud